Subject: Re: [Roll] stitching PDAO segments

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 28 Oct 2019 15:34:21 +0000

Hello Toshio

You're correct: RPL carries the commands, but there's still a PCE.
My conclusion from this thread is that there's indeed a need to explain how PDAo segments are assembled into a Track as opposed to letting the reader guess...

All the best;

Pascal

From: Roll <[email-masked]> On Behalf Of [email-masked]
Sent: jeudi 25 juillet 2019 04:09
To: [email-masked]
Subject: Re: [Roll] stitching PDAO segments

Hi Pascal,

I thought 6TiSCH Track forwarding is a completely different forwarding scheme
from RPL/IPv6 forwarding, as implied in https://tools.ietf.org/html/draft-ietf-6tisch-architecture-24#section-3.6

In that case, we don't have to relate DAO projection and Track, I think.
Or, maybe DAO projection is one implementation of Track forwarding, with RPL root playing
the role of PCE?

From: Roll <[email-masked]<mailto:[email-masked]>> On Behalf Of Pascal Thubert (pthubert)
Sent: Thursday, July 25, 2019 7:10 AM
To: Routing Over Low power and Lossy networks <[email-masked]<mailto:[email-masked]>>
Subject: [Roll] stitching PDAO segments

Dear all

Following up on stitching PDAO paths at the meeting today:

As you know, a 6TiSCH Track can be a lot more complex than a sequence of nodes (see https://tools.ietf.org/html/draft-ietf-6tisch-architecture-24#section-4.5.3)
It results that deploying a Track requires stitching segments into a DODAG from source to destination.
What makes the most sense for a 6TISCH Track is probably that each track is defined as a DODAG local instance for the source. All the PDAO segments would be stitched together into that DODAG to form a Track.
The current draft allows for this but a section that explains it all would certainly be useful.

Are we all OK that I propose some text about that?

All the best

Pascal